#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   location.py    
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-5-25 上午10:17   wangxin    1.0         None
'''


# 地区信息
from src.const.const import sys_const
from src.utils.stringUtils import isEmpty


class Location:
    ip = None  # IP地址
    id = None  # 地区ID
    lat = None  # # 纬度
    lng = None  # 经度
    nation = None  # 国家地区
    province = None  # 省份
    city = None  # 城市
    district = None  # 区
    display_name = None # 表示名
    temperature = None  # 该时间点的温度
    weather = None  # 天气
    temperature_max = None  # 最高温度
    temperature_min = None  # 最低温度
    wind_info = None  # 风速
    precipitation = None # 降水量
    deleted_flag = False  # 删除Flag


    @property
    def display_name(self):
        name = sys_const.EMPTY

        if not isEmpty(str(self.province)) :
            name = str(self.province)

        if self.city in name:
            return name

        # 城市名
        if isEmpty(self.district):

            name = name + str(self.city)
        else:
            name = name + str(self.district)
        return name

