#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   locationInfoAPI.py    
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-5-27 上午7:59   wangxin    1.0         None
'''
import json

import requests

from src.config import configure
from src.utils.stringUtils import isEmpty


# 通过ip地址取得当前城市信息
def get_location_by_ip(ip_address):
    if isEmpty(ip_address):
        url = "%skey=%s" \
              % (configure.get_location_by_ip_api, configure.location_api_key)
    else:
        url = "%skey=%s&ip=%s" \
              % (configure.get_location_by_ip_api, configure.location_api_key, ip_address)
    response = requests.get(url)
    data = json.loads(response.text)
    return data
