#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@File    :   errorPage.py    
@Contact :   wangxin01@loongson.cn
@License :   (C)Copyright 2021

@Modify Time      @Author    @Version    @Desciption
------------      -------    --------    -----------
21-5-31 上午1:58   wangxin    1.0         None
'''

# import lib
from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import QWidget, QLabel, QHBoxLayout, QVBoxLayout

from src.config import configure


class ErrorPage(QWidget) :
    def __init__(self, parent = None, msg = None):
        super().__init__()
        vbox = QVBoxLayout()
        label = QLabel("Ooooooooooops.......",self)
        label.setMaximumHeight(50)
        self.msg = msg
        error_message = QLabel(self.msg,self)
        error_message.setAlignment(Qt.AlignCenter|Qt.AlignCenter)
        vbox.addWidget(label)
        vbox.addWidget(error_message)
        self.setWindowTitle(configure.error_page_title)

        # error_width = parent.width / 2
        # error_height = parent.height / 2
        # self.resize(error_width, error_height)
        self.setLayout(vbox)